(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(ag-arguments
   '("--line-number" "--smart-case" "--nogroup" "--column" "--stats" "--hidden" "--"))
 '(ag-group-matches nil)
 '(ag-highlight-search t)
 '(ag-ignore-list '(".git"))
 '(as-continuation-offset 2)
 '(as-indent-offset 2)
 '(async-bytecomp-package-mode t)
 '(beacon-size 30)
 '(circe-default-nick "catalina")
 '(column-number-mode t)
 '(company-emoji-aliases
   '((:man-woman-boy: . ":family:")
     (:woman-kiss-man: . ":couplekiss:")
     (:woman_man_holding_hands: . ":couple:")
     (:woman-heart-man: . ":couple_with_heart:")
     (:oop: . ":speak_no_evil:")
     (:middle-finger: . ":reversed-hand-with-middle-finger-extended:")))
 '(company-emoji-insert-unicode t)
 '(company-idle-delay 0.3)
 '(company-minimum-prefix-length 2)
 '(counsel-find-file-at-point t)
 '(css-indent-offset 2)
 '(current-language-environment "UTF-8")
 '(docker-compose-command "docker compose")
 '(elfeed-curl-program-name "/usr/local/opt/curl/bin/curl")
 '(erc-autojoin-channels-alist '(("freenode.net" "#mastodon" "#machomebrew")))
 '(erc-autojoin-mode t)
 '(erc-button-mode t)
 '(erc-fill-mode t)
 '(erc-irccontrols-mode t)
 '(erc-list-mode t)
 '(erc-match-mode t)
 '(erc-menu-mode t)
 '(erc-modules
   '(autojoin button completion fill irccontrols list match menu move-to-prompt netsplit networks noncommands readonly ring services stamp track))
 '(erc-move-to-prompt-mode t)
 '(erc-netsplit-mode t)
 '(erc-nick "catalina")
 '(erc-noncommands-mode t)
 '(erc-pcomplete-mode t)
 '(erc-port 6697)
 '(erc-prompt-for-nickserv-password nil)
 '(erc-prompt-for-password nil)
 '(erc-readonly-mode t)
 '(erc-ring-mode t)
 '(erc-services-mode t)
 '(erc-stamp-mode t)
 '(erc-track-minor-mode t)
 '(erc-track-mode t)
 '(fill-column 80)
 '(flycheck-emacs-lisp-package-user-dir nil)
 '(fountain-export-title-page-title-template "${title}\12${credit}\12${author}\12${source}")
 '(git-commit-trailers
   '("Acked-by" "Modified-by" "Reviewed-by" "Signed-off-by" "Tested-by" "Cc" "Reported-by" "Suggested-by" "Co-authored-by" "Co-developed-by" "ci"))
 '(global-homebrew-mode t)
 '(global-mark-ring-max 100)
 '(homebrew-cache-dir "~/Library/Caches/Homebrew")
 '(homebrew-poet-executable "/usr/local/bin/poet")
 '(indent-tabs-mode nil)
 '(irony-server-install-prefix "/usr/local/opt/irony-mode/bin")
 '(ivy-mode t)
 '(ivy-use-virtual-buffers t)
 '(js-indent-level 2)
 '(js2-basic-offset 2)
 '(js2-strict-missing-semi-warning nil)
 '(magit-completing-read-function 'ivy-completing-read)
 '(magit-process-popup-time 5)
 '(magit-use-overlays nil)
 '(mark-ring-max 100)
 '(markdown-enable-math t)
 '(menu-bar-mode t)
 '(message-hidden-headers
   '("^User-Agent:" "^References:" "^Face:" "^X-Face:" "^X-Draft-From:"))
 '(message-send-mail-function 'message-send-mail-with-sendmail)
 '(message-sendmail-envelope-from 'header)
 '(mocha-command "node_modules/.bin/mocha")
 '(notmuch-address-command "~/bin/lbdbq_no_err")
 '(notmuch-fcc-dirs "Sent")
 '(notmuch-search-oldest-first nil)
 '(notmuch-tag-formats
   '(("unread"
      (notmuch-apply-face tag
                          '(:foreground "dark cyan")))
     ("flagged"
      (notmuch-tag-format-image-data tag
                                     (notmuch-tag-star-icon)))
     ("pay"
      (notmuch-apply-face tag
                          '(:foreground "light green")))))
 '(package-archives
   '(("gnu" . "https://elpa.gnu.org/packages/")
     ("melpa" . "https://melpa.org/packages/")))
 '(package-directory-list nil)
 '(package-enable-at-startup nil)
 '(package-gnupghome-dir "~/.emacs.d/elpa/gnupg")
 '(package-selected-packages
   '(notmuch-addr notmuch-address tawny-mode zig-mode scala-mode cider js2-mode lsp-mode flycheck pkg-info company swiper mermaid-mode rustic weblorg git-modes org-static-blog fish-mode docker yaml-mode web-mode unkillable-scratch typo suggest spacemacs-theme slime scss-mode ruby-tools rubocop rspec-mode robe rg rdf-prefix rainbow-mode pinentry php-mode pdf-tools pass omn-mode notmuch nlinum nix-mode neotree monokai-theme mocha minitest material-theme markdown-toc magit lsp-ui lsp-ivy list-unicode-display json-mode ivy-mpdel htmlize homebrew-mode gruvbox-theme go-mode gitignore-mode gitconfig-mode gitattributes-mode fountain-mode flycheck-rust flycheck-package exec-path-from-shell elisp-slime-nav elfeed editorconfig dumb-jump dracula-theme dockerfile-mode diffview diff-hl counsel company-web company-emoji company-ansible cmake-mode circe cargo beacon async ansible-doc ag))
 '(pdf-info-epdfinfo-program "/usr/local/bin/epdfinfo")
 '(perl-indent-level 2)
 '(require-final-newline t)
 '(rg-command-line-flags '("--hidden"))
 '(rg-hide-command nil)
 '(robe-completing-read-func 'ivy-completing-read)
 '(rspec-docker-command "docker compose exec")
 '(safe-local-variable-values
   '((rspec-docker-cwd . "/home/shoreline/app/")
     (rspec-docker-cwd . "/home/starlight/app/")
     (rspec-docker-cwd . "/home/comet/app/")
     (rspec-docker-cwd . "/app/samvera/hyrax-webapp/")
     (rspec-docker-wrapper-fn lambda
                              (rspec-docker-command rspec-docker-container command)
                              (format "%s -w /app/samvera/hyrax-engine %s sh -c \"%s\"" rspec-docker-command rspec-docker-container command))
     (rspec-docker-cwd . "/app/samvera/hyrax-engine/")
     (rspec-use-docker-when-possible . t)
     (rspec-docker-command . "docker-compose exec -w /app/samvera/hyrax-engine")))
 '(scss-compile-at-save nil)
 '(send-mail-function 'sendmail-send-it)
 '(sendmail-program "msmtp")
 '(sh-basic-offset 2)
 '(sh-indentation 2)
 '(show-trailing-whitespace t)
 '(standard-indent 2)
 '(tab-width 2)
 '(tls-checktrust t)
 '(tls-program
   '("gnutls-cli --x509cafile /etc/ssl/certs/system.pem -p %p %h"))
 '(tramp-connection-timeout 15)
 '(tramp-syntax 'default nil (tramp))
 '(tramp-use-ssh-controlmaster-options t)
 '(tramp-verbose 6 nil (tramp))
 '(twittering-convert-fix-size 32)
 '(typo-language "English")
 '(url-queue-timeout 10)
 '(web-mode-attr-indent-offset 2)
 '(web-mode-code-indent-offset 2)
 '(web-mode-css-indent-offset 2)
 '(web-mode-enable-auto-indentation nil)
 '(web-mode-markup-indent-offset 2)
 '(web-mode-sql-indent-offset 2)
 '(x-stretch-cursor t))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:height 212 :family "courier")))))
